阿里云ubuntu16.04安装beef

0x0 前言

环境:阿里云轻量服务器ubuntu16.04

需要安装2.4以上版本的ruby:https://www.cnblogs.com/Rain99-/p/10666247.html

参考资料
A:https://www.cnblogs.com/heijuelou/p/7791689.html
B:https://www.freebuf.com/articles/web/175755.html
C:http://www.cnblogs.com/ssooking/p/6036494.html

0x1 具体

这里提一下,beef需要ruby的环境,但是我在安装过程中出了这样一个问题,已经安装好2.6的ruby,但是通过git和./install时,又安装了2.3的ruby,运行beef时没有识别到2.6的ruby,仍然提示

Ruby version 2.3.1 is no longer supported. Please upgrade to Ruby version 2.4 or later.

关于这个问题github上有人提了出来,官方也给了解释,似乎是因为路径优先级的问题

https://github.com/beefproject/beef/issues/1704

第三个回复是我写的,就是现在这个设置默认版本的解决办法,是在查找资料时从参考资料A偶然看到的命令然后想到的

//后来发现,参考的另一个资料C也用了这个命令

// http://www.cnblogs.com/ssooking/p/6036494.html

rvm use 2.6.0 -- default

//如果提示“command not found”,可以运行下面的命令:

//source /usr/local/rvm/scripts/rvm

//注:因为我的服务器自动安装到此目录,所以用上面的路径,如果你的不是,切换到你的目录即可

//或者尝试source ~/.rvm/scripts/rvm

gem install bundler
git clone git://github.com/beefproject/beef.git
cd beef

//提示Required ruby-2.5.3 is not installed.

//To install do: 'rvm install "ruby-2.5.3"'

//不用理会

./install

这里注意,可以提前打开服务器的3000端口

防火墙设置那设置规则

./beef

提示修改账号密码,打开配置文件修改,此处的具体修改可以参考资料B

vim config.yaml
./beef

成功

本地浏览器打开beef的后台管理,前面修改配置文件时最好修改下目录,如果修改了,这里也要改,就像虚拟机环境一样使用

服务器ip:3000/ ui/panel

用基友测试(感谢)

 


以上就是蓝域白帽渗透网,为您分享的 阿里云ubuntu16.04安装beef,如果您喜欢记得转发!

本文链接:http://www.yemogege.cn/wzaq-stwz/368.html

 

更多相关文章阅读:

版权保护: 本文由admin所发布,转载请保留本文链接: http://www.yemogege.cn/wzaq-stwz/368.html

免责声明:蓝域安全网所发布的一切渗透技术视频文章,逆向脱壳病毒分析教程,以及相关实用源码仅限用于学习和研究目的
请勿用于商业用途。如有侵权、不妥之处,请联系站长并出示版权证明以便删除! 

侵权删帖/违法举报/投稿等事物联系邮箱:yemogege@vip.qq.com 网站地图